#!/bin/sh
#
# test to make sure that we can process the packets normally
#

TCPFLOW="../src/tcpflow"
DMPFILE="./vlan.dmp"
if [ x${srcdir} == "x" ] ; then TCPFLOW=$srcdir/tcpflow ; fi
if [ x${srcdir} != "x" ] ; then DMPFILE=$srcdir/vlan.dmp; fi

echo TCPFLOW = $TCPFLOW
echo DMPFILE = $DMPFILE

if ! [ -r $DMPFILE ] ; then echo $DMPFILE not found ; fi
if ! $TCPFLOW -r $DMPFILE  ; then exit 1 ; fi


FN1="010.000.000.001.09999-010.000.000.002.36559--42"
FN2="010.000.000.002.36559-010.000.000.001.09999--42"

if ! [ -r $FN1 ] ; then echo file 1 $FN1 not created ; exit 1; fi
file1md5=`md5 -q $FN1`
if [ $file1md5 != b7d0b9ee8a7c1ea94b6b43b5a3e0da83 ] ; 
  then echo file 1 has the wrong md5 - got $file1md5 ; exit 1; fi

if ! [ -r $FN2 ] ; then echo file 2 not created ; exit 1; fi
if [ `md5 -q $FN2` != c4b95c552616bda3e21d063e8ee2e332 ] ; 
  then echo file 1 has the wrong md5 ; exit 1; fi


rm -f $FN1
rm -f $FN2
exit 0
